#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class ModifyRoles < ActiveRecord::Migration
  def change
    Role.transaction do
      role = Role.where(:name => 'SIDfmVM閲覧者').first
      if role then
        role.permissions = [ :view_sidfm ]
        role.save
      end
      role = Role.where(:name => 'SIDfmVM報告者').first
      if role then
        role.permissions = [ :use_sidfm, :view_sidfm ]
        role.save
      end
    end
  end
end
