/* coding: utf-8 */
/* Copyright (C) 2018 SofTek Systems, Inc. */

$(function() {

    init_paginator();
  
    // 入力用ダイアログを開く処理
  $('#modal-form').on('show.bs.modal', function(event) {
	var button = $(event.relatedTarget);
	var func = button.data('func');
	var category = parseInt(button.data('category'));
	var title = button.data('title');
	var userid = button.data('userid');
	if (typeof userid === 'undefined' || (userid == "")) {
	    userid = '0';
	}
	var name = button.data('name');
	var desc = button.data('desc');
	var users = button.data('users');

	var modal = $(this);
	modal.find('.modal-title .text-truncate').text(title);
	$('#form_userid').val(userid);
	$('#form_name').val(name);
	$('#form_desc').text(desc);
	if (func === "new") {
	    //$('#form_is_user').prop('checked', 'checked');
	    //$('#form_users_selected').val(JSON.stringify([]));
	    $('#form_func').val('new');
	    $('#form_submit').val('登録');
	    $('#form').attr('action', $('#url_new').val());
	} else {
	    $('#form_id').val(category);
	    //$('#form_is_user').prop('checked', parseInt(userid) > 0 ? 'checked' : '');
	    //$('#form_users_selected').val(JSON.stringify(users));
	    $('#form_func').val('mod');
	    $('#form_submit').val('更新');
	    $('#form').attr('action', $('#url_mod').val());
	}
  $('#modal-form').modal('show');

	//var temp_users = JSON.parse($('#temp_users').val());
	//var form_users_selected = JSON.parse($('#form_users_selected').val());

	//$('#selected_users > option').remove();
	//$('#unselected_users > option').remove();
	/*for (var i = 0; i < temp_users.length; i++) {
	    $($.inArray(temp_users[i]["id"], form_users_selected) != -1 ? '#selected_users' : '#unselected_users').append($('<option></option>', { value: temp_users[i]["id"], text: temp_users[i]["lastname"] + ' ' + temp_users[i]["firstname"]}));


	}*/
    });

    // 選択されたユーザを選択済に移動する。
    // 反映にはsubmitが必要。
    /*$('#select-user').on('click', function() {
	return move_selected_items('#form_users_selected',
				   '#unselected_users',
				   '#selected_users', false);
    });*/

    // 選択されたユーザを未選択に移動する。
    // 反映にはsubmitが必要。
    /*$('#unselect-user').on('click', function() {
	return move_selected_items('#form_users_selected',
				   '#selected_users',
				   '#unselected_users', true);
    });*/

    // submit処理
    // 簡易validation含む。完全なvalidationはModel or Controllerで。
    $('.form-submit').on('click', function() {
	var func = $('#form_func').val();
	if ($('#form_name').val() == '') {
	    alert('名称が入力されていません。');
	    return false;
	}
	var names = JSON.parse($('#category_names').val());
	if (func == 'new' && names) {
	    if ($.inArray($('#form_name').val(), names) >= 0) {
		alert('同一の名称のカテゴリが既に存在します。');
		return false;
	    }
	}
	if ($('#form_desc').val() == '') {
	    alert('概要が入力されていません。');
	    return false;
	}
	//return confirm('登録します。よろしいでしょうか？');
    });

  //カテゴリ削除時に、関連しているルールをチェック
  $('[data-delcategory]').on('click', function(){
      var button = $(this);
      var path = $('#sidfm_internal_api_check_related_rules_path').val();
      var del_category_id = button.attr('data-delcategory');
      var submit_target = '[data-formdel="category_' + del_category_id + '"]';
      $('#submit-related-rules-item-form').attr({
          'data-submit': submit_target,
          'data-name':  'formdel',
      });
      var form = $(submit_target);
      $.ajax({
        url: path,
        type: 'POST',
        data: {'page_name': 'category', 'delete_id': del_category_id},
        async: false
      }).done(function(data){
          var rule_messages = data['rule_messages'];
          var rule_names = Object.keys(rule_messages);
          if(rule_names.length > 0){
            delete data['rule_messages'];
            $('#submit-related-rules-item-form').attr('data-ruleinfo', JSON.stringify(data));
            $('#RuleInfoArea > *').remove();
            $('#modalConfRelatedRules').modal('show');
            rule_names.sort();
            for(var i = 0; i < rule_names.length; i++){
                var rule_name = rule_names[i];
                var rule_message = rule_messages[rule_name];
                var item_name = rule_message['item_name'];
                var content = rule_message['content'];
                var reason = rule_message['reason'];
                var tr = $('<tr>').attr('class', 'list_alternative');
                var rule_name_td = $('<td>').attr('class', 'rule-name').text(rule_name);
                var item_td = $('<td>').attr('class', 'rule-item').text(item_name);
                var message_td = $('<td>').attr('class', 'rule-changes').text(content);
                var reason_td = $('<td>').attr('class', 'rule-reason').text(reason);
                tr.append(rule_name_td, item_td, message_td, reason_td);
                $('#RuleInfoArea').append(tr);
            }
          /*var message = data['message'];
          if(message.length > 0){
              var conf = confirm(message);
              if(!conf){
                  return false;
              }else{
                  delete data['message'];
                  form.append(
                      $('<input>').attr({'type': 'hidden', 'name': 'formdel[rule_info]'}).val(JSON.stringify(data))
                  ).submit();
             }*/
          }else{
              var conf = confirm(button.attr('data-conftext'));
              if(!conf){
                  return false;
              }else{
                  form.submit();
              }
          }
      });
   
  });
  
  //関連するルールを確認するmodalでOKボタンを押した時にformをsubmitする
  $('#submit-related-rules-item-form').on('click', function(){
        var button = $(this);
        var target = button.attr('data-submit');
        var name = button.attr('data-name');
        var ruleinfo = button.attr('data-ruleinfo');
        var form = $(target);
        form.append(
            $('<input>').attr({'type': 'hidden', 'name': name + '[rule_info]'}).val(ruleinfo)
        ).submit();
  });

    activate_sidebar_item('sidebar-item-category-manip')
});


