/* coding: utf-8 */
/* Copyright (C) 2019 SofTek Systems, Inc. */

$(function() { 
  
  activate_sidebar_item("sidebar-item-systemsetting-manip");
  
  $('#URLModal').on('show.bs.modal', function(event){
      $('#hostname-label').hide();
      $('#reset-url').hide();
      $('#set-url').show();
      $('#execute-modify-url').prop('disabled', true);
      var button = $(event.relatedTarget);
      var protocol = button.data('protocol');
      var url = button.data('url');
                         var href = location.href.replace(location.protocol + '//', ''); 
                         var index = href.lastIndexOf('/sidfm/system_setting');
                         if(index === -1){
                             var page_url = 'err';
                         }else{
                             var page_url = href.slice(0,index); 
                         }
      var modal_values = [ protocol, url];
      $('#select-protocol').val(protocol)
      $('#form-url').val(url);
      $('#set-url').on('click', function(){
          if(page_url === 'err'){
              $(this).tooltip('show');
              setTimeout(function(){
                  $('#set-url').tooltip('hide');
              }, 3000);
          }else{
              $('#form-url').val(page_url);
              $('#select-protocol').val(location.protocol.slice(0, -1));
              switch_execute_btn('URLModal', modal_values);
          }
      });
      $('#reset-URLModal').on('click', function(){
        $('#select-protocol').val(protocol);
        $('#form-url').val(url);
      });
      $('#select-protocol').on('change',function(){
          switch_execute_btn('URLModal', modal_values); 
      });
      $('#form-url').on('input', function(){
          switch_execute_btn('URLModal', modal_values);
      });     
  });
  
      
  $('#MailAddressModal').on('show.bs.modal', function(event){
     $('#execute-modify-mail-address').prop('disabled', true);
     $('#mail-address-label').hide();
     var button = $(event.relatedTarget);
     var mail_address = button.data('mailaddress');
     $('#form-mail-address').val(mail_address);
     $('#form-mail-address').on('input', function(){
         switch_execute_btn('MailAddressModal', [mail_address]);
     });
  });
  
  $('#execute-modify-url').on('click', function (){
      $('#modify_url_form').submit();
  });
  $('#execute-modify-mail-address').on('click', function (){
      $('#modify_mail_address_form').submit();
  });

  $('#modify_url_form').on('submit', function(){
      return confirm('URLの設定を変更します。よろしいですか？');
  });
  $('#modify_mail_address_form').on('submit', function(){
      if(!$('#form-mail-address').val().match(/^([^@\s]+)@((?:[-a-z0-9]+\.)+[a-z]{2,})$/i)){
          $('#mail-address-label').text('メールアドレスに誤りがあります').show();
          $('#execute-modify-mail-address').prop('disabled', true);
          return false;
      }
      return confirm('メールアドレスの設定を変更します。よろしいですか？');
  });
  
  function switch_execute_btn(modal_id, values){
      var err_flag = 0;
      if(modal_id === 'URLModal'){
          var present_protocol = values[0];
          var present_url = values[1];
          if($('#select-protocol').val() === present_protocol && $('#form-url').val() === present_url){
              err_flag = 1;
          }
          if(!$('#form-url').val().match(/^[\x20-\x7e]*$/)){
               err_flag = 1;
               $('#hostname-label').show();
          }else{
              $('#hostname-label').hide();
          } 
          if(err_flag === 1){
              $('#execute-modify-url').prop('disabled', true);
          }else{
              $('#execute-modify-url').prop('disabled', false);
          }   
      }else if(modal_id === 'MailAddressModal'){
          var present_mail_address = values[0];
          var mail_address = $('#form-mail-address').val();
          if($('#form-mail-address').val() === present_mail_address){
              err_flag = 1;
          }
          if(!mail_address.match(/^[\x20-\x7e]*$/)){
              err_flag = 1;
              $('#mail-address-label').text('半角英数字で入力してください').show();
          }else{
              $('#mail-address-label').hide();
          }
          if(err_flag === 1){
              $('#execute-modify-mail-address').prop('disabled', true);
          }else{
              $('#execute-modify-mail-address').prop('disabled', false);
          }
      }
  }
}); 
